<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="content-header">
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'common.button.approved' | translate}}" mbButtonTextColor="#141ED2"
        [customStyle]="true" (click)="approveTranfer()" [mbIsDisable]="isLoadingPage" *ngIf="objFunction?.approve">
    </mb-button>
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'common.button.approvedAll' | translate}}"
        mbButtonBgColor="#141ED2" mbButtonTextColor="#fff" [customStyle]="true" (click)="showPopupApproved()"
        [mbIsDisable]="isLoadingPage" *ngIf="objFunction?.approve">
    </mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.reject' | translate}}"
        mbButtonBgColor="#E8EAF6" mbButtonTextColor="#141ED2" [customStyle]="true" (click)="reject()"
        [mbIsDisable]="isLoadingPage" *ngIf="objFunction?.approve">
    </mb-button>
</div>

<div>
    <div class="search-container">
        <div nz-row class="search-container__row" nz-row [nzGutter]="16">
            <div nz-col nzSpan="6" class="search-container__row--col gutter-row">
                <mb-select [mbDataSelects]="listYears" mbKeyLabel="value" mbKeyValue="value"
                    mbLabelText="{{'modelOrganization.planYear.year' | translate}}"
                    mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseYear' | translate}}" mbType="default"
                    [(ngModel)]="objectSearch.periodCode">
                </mb-select>
            </div>
            <div nz-col nzSpan="6" class="search-container__row--col position-relative gutter-row">
                <mb-input-text mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.chooseUnit' | translate }}"
                    mbType="default" mbLabelText="Đơn vị" (click)="showPopup()" [(ngModel)]="objectSearch.orgName"
                    [mbReadOnly]="true">
                </mb-input-text>
                <em *ngIf="objectSearch.orgName" nz-icon class="icon-style" (click)="clearOrgInput()"
                    nzType="close-circle" nzTheme="outline"></em>
            </div>
            <div nz-col nzSpan="6" class="search-container__row--col gutter-row">
                <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId" mbLabelText="Job"
                    mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseJob' | translate}}"
                    [mbOptionHeightPx]="55" [(ngModel)]="objectSearch.jobId">
                </mb-select>
            </div>
            <div nz-col nzSpan="6" class="search-container__row--col gutter-row">
                <mb-select [mbDataSelects]="listType" mbKeyLabel="name" mbKeyValue="id"
                    mbLabelText="{{'modelOrganization.planYear.type' | translate}}"
                    mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseType' | translate}}"
                    [mbOptionHeightPx]="55" [(ngModel)]="objectSearch.inputType">
                </mb-select>
            </div>
          <div nz-col nzSpan="6" class="search-container__row--col gutter-row mt-10">
            <mb-date-picker mbFormat="dd/MM/yyyy" mbLabelText="{{'modelOrganization.planYear.transferDate' | translate}}" mbPlaceholderText="dd/mm/yyyy"
                            [(ngModel)]="objectSearch.lastUpdateDateTmp"></mb-date-picker>
          </div>
          <div class="container-button">
            <button class="button-search" (click)="onSearch()" nz-button>
              {{'common.button.search' | translate}}
            </button>
          </div>
        </div>
    </div>

    <div>
        <div class="input-style input-style__input">
            <input [ngStyle]="isValid && {'border': '0.5px solid #FF4D4F'}" nz-input
                placeholder="{{'modelOrganization.approvedStaff.placeHoder.inputApproveInfo' | translate:{result:250} }}"
                [(ngModel)]="objectSearch.description" [maxlength]="250" />
            <div class="error" *ngIf="isValid">
                <em nz-icon nzType="close-circle" nzTheme="fill"></em>
                <span>{{'modelOrganization.approvedStaff.notification.noDescription' | translate }}</span>
            </div>
        </div>
    </div>

    <div class="table-container ant-table-content">
        <nz-table #basicTable [nzData]="dataTable" [nzFrontPagination]="false" [nzShowPagination]="false" nzTableLayout="fixed"
            class="table-container__table"  [nzScroll]="dataTable?.length > 0 ? { x: '1920px', y: '400px' } : {}">
            <thead>
                <tr>
                    <th scope="col" [nzDisabled]="dataTable.length === 0" [nzChecked]="checked"
                        (nzCheckedChange)="onAllChecked($event)" nzWidth="5%" nzLeft></th>
                    <th scope="col" nzWidth="5%">{{'modelOrganization.table.stt' | translate }}</th>
                    <th scope="col" nzWidth="20%">{{'modelOrganization.planYear.unitName' | translate}}</th>
                    <th scope="col" nzWidth="20%">{{'modelOrganization.planYear.job' | translate}}</th>
                    <th scope="col" nzWidth="10%">{{'modelOrganization.planYear.effecDate' | translate}}</th>
                    <th scope="col" nzWidth="8%">{{'modelOrganization.planYear.quantity' | translate}}</th>
                    <th scope="col" nzWidth="8%">{{'modelOrganization.approvedStaff.adjustNumber' | translate}}</th>
                    <th scope="col" nzWidth="8%" >{{'modelOrganization.approvedStaff.latchNumber' | translate}}</th>
                    <th scope="col" nzWidth="20%">{{'modelOrganization.approvedStaff.reason' | translate}}</th>
                    <th scope="col" nzWidth="20%">{{'modelOrganization.approvedStaff.consultation' | translate}}</th>
                    <th scope="col" nzWidth="8%" nzRight>{{'modelOrganization.planYear.type' | translate}}</th>
                    <th scope="col" nzWidth="8%" nzRight>{{'modelOrganization.planYear.transferDate' | translate}}</th>
                </tr>
            </thead>
            <tbody class="bg-white">
                <tr *ngFor="let data of basicTable.data; let i = index;trackBy: trackByFn">
                    <td [nzChecked]="quantityMap.has(data.hcpId)" (nzCheckedChange)="onItemChecked(data, $event)" nzLeft></td>
                    <td>{{i+1}}</td>
                    <td class="table-container__col-text-ellipsis" nz-tooltip [nzTooltipTitle]="data.pathName">
                        <span>{{data.pathName}}</span>
                    </td>
                    <td class="table-container__col-text-ellipsis" nz-tooltip [nzTooltipTitle]="data.jobName">
                        <span>{{data.jobName}}</span>
                    </td>
                    <td>{{data.fromDate | date:'dd/MM/yyyy'}}</td>
                    <td>{{data.headCount}}</td>
                    <td>{{data.adjustedNumberTmp}}</td>
                    <td>
                      <mb-input-text nz-input [(ngModel)]="data.latchNumber" mbInputType='number' minNumber="0" (mbBlur)="checkLatchNumber(data,i)"
                                     (keypress)="onKeypress($event)"
                                     mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.typing' | translate}}">
                      </mb-input-text>
                    </td>
                    <td class="table-container__col-text-ellipsis" nz-tooltip [nzTooltipTitle]="data.reason">
                        {{data.reason}}</td>
                    <td class="table-container__col-text-ellipsis">
                        <div nz-col nz-row *ngIf="data.inputType === 'HC'" class="wrap-text">
                            <div class="style-file" [ngClass]="data.docName ? 'active-color':'inactive-color'" (click)="downloadFile(data)">
                                <span class="text-ellipsis" *ngIf="data.docName" nz-tooltip [nzTooltipTitle]="data.docName">{{data.docName}}</span>
                            </div>
                            <div>
                                <span class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.consultation">{{data.consultation}}</span>
                            </div>
                        </div>
                    </td>
                    <td *ngIf="data.inputType === 'KT' " nzRight>{{'modelOrganization.planYear.create' | translate}}</td>
                    <td *ngIf="data.inputType === 'DC' " nzRight>{{'modelOrganization.planYear.adjusted' | translate}}</td>
                    <td *ngIf="data.inputType === 'HC' " nzRight>{{'modelOrganization.planYear.correction' | translate}}</td>
                    <td nzRight>{{data.lastUpdateDate | date:'dd/MM/yyyy'}}</td>
                </tr>
            </tbody>
        </nz-table>
    </div>
</div>
<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
    [nzStyle]="{ width: '80vw'}" (nzOnCancel)="handleCancel()">
    <ng-template #modalTitle>
        <span *ngIf="isPdfFile">View File PDF</span>
        <span *ngIf="!isPdfFile">View File</span>
    </ng-template>

    <ng-template #modalContent>
        <div *ngIf="isPdfFile">
            <pdf-viewer [src]="pdfSrc" [show-all]="true" [fit-to-page]="true" [render-text]="true"
                [original-size]="true" class="pdf-view"></pdf-viewer>
        </div>
        <div *ngIf="!isPdfFile">
            <img [src]="imagePath" alt="">
        </div>
    </ng-template>

    <ng-template #modalFooter>
        <p></p>
    </ng-template>
</nz-modal>
